Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 450594 - gpk-application X crashe when pkt conflict causes hugh # of error
Summary: gpk-application X crashe when pkt conflict causes hugh # of error
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: 9
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-09 19:13 UTC by i fennell
Modified: 2008-06-11 10:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-11 10:58:10 UTC
Type: ---


Attachments (Terms of Use)
test patch (1.63 KB, patch)
2008-06-10 10:36 UTC, Richard Hughes
no flags Details | Diff

Description i fennell 2008-06-09 19:13:12 UTC
Description of problem:
filed bug 450423 -conflict in packages causes X error messages about resources
smart and gpk-application act the same and crash when huge error file is 
generated- no clues are recorded in logs and conflict is not reported and pkg 
install fails 


Version-Release number of selected component (if applicable):gpk-application 
0.1.12


How reproducible:

every time
Steps to Reproduce:
1.launch update with kernel-xen-2.6-doc-2.6.25.3-1.fc9.noarch already 
installed.
2.select kernel-doc-2.6.25
3.commit and wait for the crash

  
Actual results:
crash
please refer to bug 450423 for complete details and attachments
Expected results:
error message

Additional info:please refer to bug 450423 for complete details and 
attachments
filing bug for smart 450593  also

Comment 1 Richard Hughes 2008-06-10 10:36:38 UTC
Created attachment 308797 [details]
test patch

What about something like this -- would this work?

Comment 2 Richard Hughes 2008-06-11 10:58:10 UTC
Committed to git master.


Note You need to log in before you can comment on or make changes to this bug.